/* prefixConfig.js - API library for prefix list configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01a,9Nov10,vds  written. 
*/

/* prefixConfig.js */

function prefixValidate ()
    {
    var txtFieldIdArr = new Array ();
	txtFieldIdArr[0]= "txtIntName,Please enter a valid IPv4 Interface Name";
	txtFieldIdArr[1]= "txtSlaId,Please enter a valid SLA ID";			    
	txtFieldIdArr[2]= "txtPrefix,Please enter a valid IPv6 Prefix";
	txtFieldIdArr[3]= "txtIpv6PreLen,Please enter a valid IPv6 Prefix Length";
	txtFieldIdArr[4]= "txtPrefLifeTime,Please enter a valid Prefix Lifetime";
	if (txtFieldArrayCheck (txtFieldIdArr) == false)
	  return false;
	  
	if(ipv6Validate('txtPrefix', false, true, '') == false)
		return false;
		
	if(numericValueRangeCheck (document.getElementById ('txtIpv6PreLen'), '', '', 0, 128, true, '', '') == false)
		return false;
		
	if(numericValueRangeCheck (document.getElementById ('txtSlaId'), '', '', 0, 65535, true, '', '') == false)
		return false;
		
	if(numericValueRangeCheck (document.getElementById ('txtPrefLifeTime'), '', '', 0, 65536, true, '', 'Seconds') == false)
		return false;
		
	return true;
	}
	
function checkType ()
	{
	var selectedVal = comboSelectedValueGet ('selPrefixType');
	if (!selectedVal) return;
	if (parseInt (selectedVal, 10) == 1)
        fieldStateChangeWr ('txtPrefix txtIpv6PreLen', '', 'txtIntName txtSlaId selBase6to4Interface', '');
	else
        fieldStateChangeWr ('txtIntName txtSlaId selBase6to4Interface', '', 'txtPrefix txtIpv6PreLen', '');
	}
